'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _underscore = require('underscore');

var _underscore2 = _interopRequireDefault(_underscore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Allow for config overrides, via an elixir.json file.
 *
 * @param {string} file
 */
Elixir.setDefaultsFrom = function (file) {
    var overrides = void 0;

    if (_fs2.default.existsSync(file)) {
        overrides = JSON.parse(_fs2.default.readFileSync(file, 'utf8'));

        _underscore2.default.mixin({
            deepExtend: require('underscore-deep-extend')(_underscore2.default)
        });

        _underscore2.default.deepExtend(this.config, overrides);
    }
};

Elixir.setDefaultsFrom('elixir.json');